### Method

# Devhelp BookListBuilder read_books_disabled_setting

since: 3.30

#### Declaration [src]

    void
    dh_book_list_builder_read_books_disabled_setting (
      DhBookListBuilder* builder,
      DhSettings* settings
    )

#### Description [src]

Sets the `DhSettings` object from which to read the “books-disabled” `GSettings` key. If `settings` is `NULL` or if this function isn’t called, then the `DhBookList` object that will be created with `dh_book_list_builder_create_object()` will not read a “books-disabled” setting.

With `DhBookListBuilder` it is not possible to read the “books-disabled” settings from several `DhSettings` objects and combine them. Only the last call to this function is taken into account when creating the `DhBookList` with dh_book_list_builder_create_object().

Available since: 3.30

#### Parameters

`settings`

  Type: `DhSettings`

  A `DhSettings`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.